Register a passkey
curl --request POST \
--url https://api.glassmarkets.io/v1/user/passkeys/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"ceremony_id": "<string>",
"name": "<string>",
"credential": "<unknown>"
}
'import requests
url = "https://api.glassmarkets.io/v1/user/passkeys/"
payload = {
"ceremony_id": "<string>",
"name": "<string>",
"credential": "<unknown>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ceremony_id: '<string>', name: '<string>', credential: '<unknown>'})
};
fetch('https://api.glassmarkets.io/v1/user/passkeys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"name": "<string>",
"device_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"backed_up": true,
"last_used_at": "2023-11-07T05:31:56Z"
}Account
Register a passkey
Completes a passkey registration started with POST /v1/user/passkeys/options/ and returns the new passkey.
Register a passkey
curl --request POST \
--url https://api.glassmarkets.io/v1/user/passkeys/ \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"ceremony_id": "<string>",
"name": "<string>",
"credential": "<unknown>"
}
'import requests
url = "https://api.glassmarkets.io/v1/user/passkeys/"
payload = {
"ceremony_id": "<string>",
"name": "<string>",
"credential": "<unknown>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ceremony_id: '<string>', name: '<string>', credential: '<unknown>'})
};
fetch('https://api.glassmarkets.io/v1/user/passkeys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"name": "<string>",
"device_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"backed_up": true,
"last_used_at": "2023-11-07T05:31:56Z"
}Authorizations
Token-based authentication with required prefix "Token ". Example: "Token 9944b09199c62bcf9418ad846dd0e4bbdfc6ee4b"
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data

